Name:    jadetex
Version: 3.13
Release: %mkrel 4
Group:   Publishing
Summary: TeX macros used by Jade TeX output
License: Freely redistributable without restriction
URL:     http://sourceforge.net/projects/jadetex

Requires: sgml-common
Requires: openjade
BuildRequires: unzip 
BuildRequires: texlive 
BuildRequires: texlive-texmf

BuildArch: noarch
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: jadefmtutil.cnf
Patch0: jadetex-tetex3.patch
Patch1: jadetex-3.13-typoupstream.patch

Obsoletes: jadetex
Provides: jadetex = %version-%release
AutoReq: no

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files (to obtain DVI,
PostScript, or PDF files, for example).

%prep
%setup -q
cp -p %{SOURCE1} .
%patch0 -p1 -b .tetex3
%patch1 -p1 -b .typoupstream

%build
make


%install
mkdir -p %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/texmf-dist/tex/jadetex
cp -p *.ini %{buildroot}%{_datadir}/texmf-dist/tex/jadetex
cp -p *.sty %{buildroot}%{_datadir}/texmf-dist/tex/jadetex
cp -p *.cnf %{buildroot}%{_datadir}/texmf-dist/tex/jadetex

mkdir -p %{buildroot}%{_bindir}
ln -s etex %{buildroot}%{_bindir}/jadetex
ln -s pdfetex %{buildroot}%{_bindir}/pdfjadetex

mkdir -p %{buildroot}%{_mandir}/man1
cp -p jadetex.1 %{buildroot}%{_mandir}/man1
ln -s jadetex.1.gz %{buildroot}%{_mandir}/man1/pdfjadetex.1

%posttrans
/usr/bin/texhash 2> /tmp/jadetex-texhash.log

%postun
/usr/bin/texhash 2> /dev/null

%files
%doc index.html
%ghost %{_datadir}/texmf-dist/web2c/jadetex.fmt
%ghost %{_datadir}/texmf-dist/web2c/pdfjadetex.fmt
%dir %{_datadir}/texmf-dist/tex/jadetex
%{_datadir}/texmf-dist/tex/jadetex/*
%{_datadir}/texmf-dist/web2c/*
%{_mandir}/man1/jadetex.1*
#%{_mandir}/man1/pdfjadetex.1*
%{_bindir}/jadetex
%{_bindir}/pdfjadetex


%changelog
* Wed Mar 13 2019 tex - 3.13-4pclos2019
- rebuild against updates

* Tue Mar 12 2019 tex 3.13.3-pclos2019
- rebuild and remove deps

* Tue Mar 12 2019 tex 3.13-2pclos2019
- update
